#
# spec file for package health-checker
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           health-checker
Version:        0.5
Release:        lp150.1.1
Summary:        Verify that all important services are running
License:        GPL-2.0
Group:          System/Base
Url:            https://github.com/kubic-project/health-checker
Source:         health-checker-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  fdupes
Requires:       health-checker-plugins = 1.0
%{?systemd_requires}

%description
health-checker is a service running once at every reboot to verify
that all important services are running. If it is the first reboot after
an update, an automatic rollback to the last working snapshot is made.
If this is not after an update, a reboot is made. If this does not help,
the services will be disabled.
This package does not contain any checks. For this, additional
plugins for different products are needed.

%package plugins-caasp
Summary:        Health-checker plugins for SUSE CaaS Platform
Group:          System/Base
Requires:       %{name} >= %{version}
Provides:       health-checker-plugins = 1.0

%description plugins-caasp
This package contains health-checker plugins for testing that
the SUSE CaaS Platform did boot correctly.

%package testing
Summary:        Test plugin for health-checker
Group:          System/Base
Requires:       %{name} >= %{version}
Provides:       health-checker-plugins = 1.0

%description testing
This package contains a script for testing the CaaSP health checker.
It will report success or failures depending on previous states.

%prep
%setup -q -n health-checker-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
ln -sf service %{buildroot}%{_sbindir}/rchealth-checker
# dracut module does not work yet
rm -rf %{buildroot}/usr/lib/dracut
%fdupes %{buildroot}%{_mandir}

%pre
%service_add_pre health-checker.service

%post
%service_add_post health-checker.service

%preun
%service_del_preun health-checker.service

%postun
%service_del_postun health-checker.service

%files
%defattr(-,root,root)
%doc NEWS COPYING README.md
%{_prefix}/lib/systemd/system/health-checker.service
%dir %{_prefix}/lib/health-checker/
%{_prefix}/lib/health-checker/btrfs-subvolumes-mounted.sh
%{_sbindir}/health-checker
%{_sbindir}/rchealth-checker
%{_mandir}/man8/health-checker.8%{ext_man}
%{_mandir}/man8/health-checker.service.8%{ext_man}

%files plugins-caasp
%defattr(-,root,root)
%{_prefix}/lib/health-checker/etcd.sh
%{_prefix}/lib/health-checker/etc-overlayfs.sh
%{_prefix}/lib/health-checker/rebootmgr.sh

%files testing
%defattr(-,root,root)
%{_prefix}/lib/health-checker/health-check-tester.sh

%changelog
* Wed Aug 23 2017 kukuk@suse.de
- Update to version 0.5
  - Fix logger arguments
* Thu May 25 2017 jengelh@inai.de
- Resolve orthographical issues in descriptions.
* Thu May 18 2017 kukuk@suse.de
- Update to version 0.4
- Rename package to health-checker
- Create new sub-package for CaaSP plugins
* Fri Mar 24 2017 kukuk@suse.de
- Update to version 0.2
  - Add plugins for etcd, etc-overlayfs and rebootmgr
* Thu Mar 23 2017 kukuk@suse.de
- Initial version
